Numeric range Slider in Vue Range Slider component

21 Feb 20256 minutes to read

The numeric values can be formatted into different decimal digits, fixed number of whole numbers, or to represent units. The numeric processing is demonstrated in the following example.

<template>
  <div id='app'>
    <div class='wrap'>
      <div class='label'>Slider formatted with unit representation</div>
      <ejs-slider id="slider" min=0 max=100 step=1 value=30 :ticks='ticks' :tooltip='tooltip'>
      </ejs-slider>
    </div>

    <div class='wrap'>
      <div class='label'>Slider formatted with three decimal specifiers</div>
      <ejs-slider id="slider1" min=0.1 max=0.2 step=0.01 value=0.13 :tooltip='decimalTooltip' :ticks='decimalTicks'>
      </ejs-slider>
    </div>

    <div class='wrap'>
      <div class='label'>Slider formatted with two leading zeros</div>
      <ejs-slider id="slider2" min=0 max=100 step=1 value=30 :tooltip='formatTooltip' :ticks='formatTicks'>
      </ejs-slider>
    </div>
  </div>
</template>
<script setup>

import { SliderComponent as EjsSlider } from "@syncfusion/ej2-vue-inputs";

const tooltip = { isVisible: true, format: '##.## Km' };
const ticks = { placement: 'After', format: '##.## Km', largeStep: 20, smallStep: 10, showSmallTicks: true };
const decimalTooltip = { isVisible: true, format: '##.#00' };
const decimalTicks = { placement: 'After', format: '##.#00', largeStep: 0.02, smallStep: 0.01, showSmallTicks: true };
const formatTooltip = { isVisible: true, format: '00##' };
const formatTicks = { placement: 'After', format: '00##', largeStep: 20, smallStep: 10, showSmallTicks: true };

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

#app {
  height: 40px;
  position: absolute;
  width: 98%;
}

.wrap {
  box-sizing: border-box;
  height: 100px;
  margin: 0 auto;
  padding: 30px 10px;
  width: 460px;
}

.wrap .label {
  text-align: center;
}
</style>
<template>
  <div id='app'>
    <div class='wrap'>
      <div class='label'>Slider formatted with unit representation</div>
      <ejs-slider id="slider" min=0 max=100 step=1 value=30 :ticks='ticks' :tooltip='tooltip'>
      </ejs-slider>
    </div>

    <div class='wrap'>
      <div class='label'>Slider formatted with three decimal specifiers</div>
      <ejs-slider id="slider1" min=0.1 max=0.2 step=0.01 value=0.13 :tooltip='decimalTooltip' :ticks='decimalTicks'>
      </ejs-slider>
    </div>

    <div class='wrap'>
      <div class='label'>Slider formatted with two leading zeros</div>
      <ejs-slider id="slider2" min=0 max=100 step=1 value=30 :tooltip='formatTooltip' :ticks='formatTicks'>
      </ejs-slider>
    </div>
  </div>
</template>
<script>

import { SliderComponent } from "@syncfusion/ej2-vue-inputs";

export default {
  name: "App",
  components: {
    "ejs-slider": SliderComponent
  },
  data: function () {
    return {
      tooltip: { isVisible: true, format: '##.## Km' },
      ticks: { placement: 'After', format: '##.## Km', largeStep: 20, smallStep: 10, showSmallTicks: true },
      decimalTooltip: { isVisible: true, format: '##.#00' },
      decimalTicks: { placement: 'After', format: '##.#00', largeStep: 0.02, smallStep: 0.01, showSmallTicks: true },
      formatTooltip: { isVisible: true, format: '00##' },
      formatTicks: { placement: 'After', format: '00##', largeStep: 20, smallStep: 10, showSmallTicks: true }
    };
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

#app {
  height: 40px;
  position: absolute;
  width: 98%;
}

.wrap {
  box-sizing: border-box;
  height: 100px;
  margin: 0 auto;
  padding: 30px 10px;
  width: 460px;
}

.wrap .label {
  text-align: center;
}
</style>

How to format numeric values in React Slider

Numeric values in the Range Slider can be formatted to display different decimal places, fixed whole numbers, or specific units. The following example demonstrates numeric value formatting.

import * as React from 'react';
import * as ReactDOM from "react-dom";
import { SliderComponent } from '@syncfusion/ej2-react-inputs';
function App() {
  // Slider ticks customization
  let ticks01 = {
    placement: "After",
    format: "##.## Km",
    largeStep: 20,
    smallStep: 10,
    showSmallTicks: true
  };
  let tooltip01 = { isVisible: true, format: "##.## Km" };
  let ticks02 = {
    placement: "After",
    format: "##.#00",
    largeStep: 0.02,
    smallStep: 0.01,
    showSmallTicks: true
  };
  let tooltip02 = { isVisible: true, format: "##.#00" };
  let tooltip03 = { isVisible: true, format: "00##" };
  let ticks03 = {
    placement: "After",
    format: "00##",
    largeStep: 20,
    smallStep: 10,
    showSmallTicks: true
  };
  return (<div id="container">
    <div className="wrap">
      <div className="label">Slider formatted with unit representation</div>
      <SliderComponent id="slider" min={0} max={100} value={30} step={1} tooltip={tooltip01} ticks={ticks01} />
    </div>

    <div className="wrap">
      <div className="label">Slider formatted with three decimal specifiers</div>
      <SliderComponent id="slider1" min={0.1} max={0.2} value={0.13} step={0.01} tooltip={tooltip02} ticks={ticks02} />
    </div>

    <div className="wrap">
      <div className="label">Slider formatted with two leading zeros</div>
      <SliderComponent id="slider2" min={0} max={100} value={30} step={1} tooltip={tooltip03} ticks={ticks03} />
    </div>
  </div>);
}
export default App;
ReactDOM.render(<App />, document.getElementById('element'));
import * as React from 'react';
import * as ReactDOM from "react-dom";
import { SliderComponent } from '@syncfusion/ej2-react-inputs';

function App() {
  // Slider ticks customization
  let ticks01: TicksDataModel = {
    placement: "After",
    format: "##.## Km",
    largeStep: 20,
    smallStep: 10,
    showSmallTicks: true
  };
  let tooltip01: TooltipDataModel = { isVisible: true, format: "##.## Km" };

  let ticks02: TicksDataModel = {
    placement: "After",
    format: "##.#00",
    largeStep: 0.02,
    smallStep: 0.01,
    showSmallTicks: true
  };
  let tooltip02: TooltipDataModel = { isVisible: true, format: "##.#00" };

  let tooltip03: TooltipDataModel = { isVisible: true, format: "00##" };
  let ticks03: TicksDataModel = {
    placement: "After",
    format: "00##",
    largeStep: 20,
    smallStep: 10,
    showSmallTicks: true
  };

  return (
    <div id="container">
      <div className="wrap">
        <div className="label">Slider formatted with unit representation</div>
        <SliderComponent
          id="slider"
          min={0}
          max={100}
          value={30}
          step={1}
          tooltip={tooltip01}
          ticks={ticks01}
        />
      </div>

      <div className="wrap">
        <div className="label">Slider formatted with three decimal specifiers</div>
        <SliderComponent
          id="slider1"
          min={0.1}
          max={0.2}
          value={0.13}
          step={0.01}
          tooltip={tooltip02}
          ticks={ticks02}
        />
      </div>

      <div className="wrap">
        <div className="label">Slider formatted with two leading zeros</div>
        <SliderComponent
          id="slider2"
          min={0}
          max={100}
          value={30}
          step={1}
          tooltip={tooltip03}
          ticks={ticks03}
        />
      </div>
    </div>
  );
}
export default App;
ReactDOM.render(<App />, document.getElementById('element'));
.sliderwrap {
  margin-top: 20px;
}

.sliderwrap label {
  font-size: 13px;
  font-weight: 100;
  margin-top: 15px;
  padding-bottom: 15px;
}

.wrap {
  box-sizing: border-box;
  height: 100px;
  margin: 0 auto;
  padding: 30px 10px;
  width: 460px;
}

.wrap .label {
  text-align: center;
}

.labeltext {
  text-align: center;
}
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Range Slider</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-base/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-react-inputs/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-react-popups/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-react-buttons/styles/tailwind3.css" rel="stylesheet" />
    <link href="index.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
</head>

<body>
    <div id='element'>
    </div>
</body>

</html>

How to format numeric values in Range Slider in Angular

Format numeric values displayed in Range Slider to meet your application requirements. Apply decimal precision, fixed whole numbers, or unit representations (e.g., “$100”, “50%”). The following sample demonstrates numeric formatting techniques.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { SliderModule } from '@syncfusion/ej2-angular-inputs'
import { Component } from '@angular/core';

@Component({
    imports: [
        SliderModule
    ],
    standalone: true,
    selector: 'my-app',
    template: `
    <div id='container'>
        <div class='wrap'>
            <div class='label'>Slider formatted with unit representation</div>
            <ejs-slider id='slider' [min]=0 [max]=100 [value]=30 [tooltip]="tooltipData01" [ticks]="ticksData01"></ejs-slider>
        </div>

        <div class='wrap'>
            <div class='label'>Slider formatted with three decimal specifiers</div>
            <ejs-slider id='slider1' [min]=0.1 [max]=0.2 [step]=0.01 [value]=0.13 [tooltip]="tooltipData02" [ticks]="ticksData02"></ejs-slider>
        </div>

        <div class='wrap'>
            <div class='label'>Slider formatted with two leading zeros</div>
            <ejs-slider id='slider2' [min]=0 [max]=100 [value]=30 [tooltip]="tooltipData03" [ticks]="ticksData03"></ejs-slider>
        </div>
    </div>`,
})

export class AppComponent {
    public tooltipData01: Object = { isVisible: true, format: '##.## Km' };
    public ticksData01: Object = { placement: 'After', format: '##.## Km', largeStep: 20, smallStep: 10, showSmallTicks: true };

    public tooltipData02: Object = { isVisible: true, format: '##.#00' };
    public ticksData02: Object = { placement: 'After', format: '##.#00', largeStep: 0.02, smallStep: 0.01, showSmallTicks: true };

    public tooltipData03: Object = { isVisible: true, format: '00##' };
    public ticksData03: Object = { placement: 'After', format: '00##', largeStep: 20, smallStep: 10, showSmallTicks: true };

}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));